curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/warehouse-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"warehouse_ids": [
123
],
"default_warehouse_id": 123,
"externally_managed": true,
"externally_managed_app_integration_account_id": 123,
"externally_managed_warehouse": "<string>",
"app_integration_account_inventory_location_id": 123,
"pull_stocks": true,
"pull_shipments": true
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/warehouse-groups"
payload = {
"name": "<string>",
"description": "<string>",
"warehouse_ids": [123],
"default_warehouse_id": 123,
"externally_managed": True,
"externally_managed_app_integration_account_id": 123,
"externally_managed_warehouse": "<string>",
"app_integration_account_inventory_location_id": 123,
"pull_stocks": True,
"pull_shipments": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
warehouse_ids: [123],
default_warehouse_id: 123,
externally_managed: true,
externally_managed_app_integration_account_id: 123,
externally_managed_warehouse: '<string>',
app_integration_account_inventory_location_id: 123,
pull_stocks: true,
pull_shipments: true
})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/warehouse-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"uuid": "<string>",
"name": "<string>",
"description": "<string>",
"externally_managed": true,
"externally_managed_app_integration_account_id": 123,
"externally_managed_warehouse": "<string>",
"app_integration_account_inventory_location_id": 123,
"pull_stocks": true,
"pull_shipments": true,
"warehouses": [
{
"id": 123,
"status": "<string>",
"name": "<string>",
"address": "<string>",
"street_address_1": "<string>",
"street_address_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"is_pick_location": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"default_warehouse": {
"id": 123,
"status": "<string>",
"name": "<string>",
"address": "<string>",
"street_address_1": "<string>",
"street_address_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"is_pick_location": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}Create warehouse group
Create a new warehouse group with optional warehouse assignments.
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Body
Warehouse group name
255Warehouse group description
IDs of warehouses to assign to this group
ID of the default warehouse for this group
Set to true to mark this warehouse group as managed by an
external WMS integration. When true,
externally_managed_app_integration_account_id, pull_stocks,
and pull_shipments become required.
ID of the app integration account that owns this group.
Required when externally_managed is true.
External WMS-side warehouse identifier.
ID of the inventory location within the app integration account that this group maps to.
Whether to pull stock levels from the external WMS.
Required when externally_managed is true.
Whether to pull shipments from the external WMS.
Required when externally_managed is true.
Response
Warehouse group created
Show child attributes
Show child attributes